Bug 70595 - add SPF patch to postfix
Summary: add SPF patch to postfix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-17 23:00 UTC by Vick Khera
Modified: 2004-08-18 16:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.19 KB, patch)
2004-08-17 23:00 UTC, Vick Khera
no flags Details | Diff
smime.p7s (2.42 KB, application/pkcs7-signature)
2004-08-18 16:25 UTC, Vick Khera
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vick Khera 2004-08-17 23:00:45 UTC
	

add patch to optionally use libspf2 in postfix.  no version bump since it
is a compile time option that doesn't require anyone to update if they
don't want this feature.
Comment 1 Mathieu Arnold freebsd_committer 2004-08-18 15:13:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Take
Comment 2 Mathieu Arnold freebsd_committer 2004-08-18 15:13:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Take
Comment 3 Mathieu Arnold freebsd_committer 2004-08-18 15:20:21 UTC
+-le 17/08/2004 17:59 -0400, Vivek Khera a dit :
| 
|> Number:         70595
|> Category:       ports
|> Synopsis:       add SPF patch to postfix

This breaks when using SPF && TLS (and maybe others), could you have a look ?

-- 
Mathieu Arnold
Comment 4 Mathieu Arnold freebsd_committer 2004-08-18 15:20:30 UTC
State Changed
From-To: open->feedback

maintainer asked about a patch problem
Comment 5 Vick Khera 2004-08-18 15:35:38 UTC
On Aug 18, 2004, at 10:20 AM, Mathieu Arnold wrote:

> +-le 17/08/2004 17:59 -0400, Vivek Khera a dit :
> |
> |> Number:         70595
> |> Category:       ports
> |> Synopsis:       add SPF patch to postfix
>
> This breaks when using SPF && TLS (and maybe others), could you have a 
> look ?
>
> -- 
> Mathieu Arnold

According to Dean this is a known issue.  The patches conflict (he 
wrote them both).  There are other combinations of patches to postfix 
that conflict as well, but that's never held up a feature before :-)
Comment 6 Mathieu Arnold freebsd_committer 2004-08-18 15:40:16 UTC
+-le 18/08/2004 10:35 -0400, Vivek Khera a dit :
| 
| On Aug 18, 2004, at 10:20 AM, Mathieu Arnold wrote:
| 
|> +-le 17/08/2004 17:59 -0400, Vivek Khera a dit :
|> | 
|> |> Number:         70595
|> |> Category:       ports
|> |> Synopsis:       add SPF patch to postfix
|> 
|> This breaks when using SPF && TLS (and maybe others), could you have a 
|> look ?
|> 
|> -- 
|> Mathieu Arnold
| 
| According to Dean this is a known issue.  The patches conflict (he wrote
| them both).  There are other combinations of patches to postfix that
| conflict as well, but that's never held up a feature before :-)
| 

Hum, ok, maybe you should have some checks so that users know that it's not
gonna run, either in the Makefile, either in the config script no ?
And maybe a special patch for TLS+SPF, because I'm not going to let TLS go,
even if I want SPF :-/

-- 
Mathieu Arnold
Comment 7 Vick Khera 2004-08-18 16:25:31 UTC
On Aug 18, 2004, at 10:40 AM, Mathieu Arnold wrote:

> Hum, ok, maybe you should have some checks so that users know that 
> it's not
> gonna run, either in the Makefile, either in the config script no ?
> And maybe a special patch for TLS+SPF, because I'm not going to let 
> TLS go,
> even if I want SPF :-/
>

i'll look into conflict checking, but there are so many combinations of 
patches now on the postfix port that it is utterly impossible to 
enumerate them all.  I'll add a note for the SPF and IPV6+TLS 
combination, since it is common.  Perhaps we lobby Dean for a combo 
patch :-)

Should I submit a revised patch or an additional patch based on this 
one being applied already?

Vivek Khera, Ph.D.
+1-301-869-4449 x806
Comment 8 Mathieu Arnold freebsd_committer 2004-08-18 16:33:14 UTC
State Changed
From-To: feedback->closed

committed, thanks !
Comment 9 Mathieu Arnold freebsd_committer 2004-08-18 16:35:13 UTC
+-le 18/08/2004 15:30 +0000, Vivek Khera a dit :
| The following reply was made to PR ports/70595; it has been noted by GNATS.
| 
| From: Vivek Khera <vivek@khera.org>
| To: FreeBSD-gnats-submit@FreeBSD.org
| Cc:  
| Subject: Re: ports/70595: add SPF patch to postfix
| Date: Wed, 18 Aug 2004 11:25:31 -0400
| 
|  --Apple-Mail-9-718898001
|  Content-Transfer-Encoding: 7bit
|  Content-Type: text/plain;
|  	charset=US-ASCII;
|  	format=flowed
|  
|  
|  On Aug 18, 2004, at 10:40 AM, Mathieu Arnold wrote:
|  
|  > Hum, ok, maybe you should have some checks so that users know that 
|  > it's not
|  > gonna run, either in the Makefile, either in the config script no ?
|  > And maybe a special patch for TLS+SPF, because I'm not going to let 
|  > TLS go,
|  > even if I want SPF :-/
|  >
|  
|  i'll look into conflict checking, but there are so many combinations of 
|  patches now on the postfix port that it is utterly impossible to 
|  enumerate them all.  I'll add a note for the SPF and IPV6+TLS 
|  combination, since it is common.  Perhaps we lobby Dean for a combo 
|  patch :-)
|
|  Should I submit a revised patch or an additional patch based on this 
|  one being applied already?

Well, I just committed your patch, so, you'd better send a new PR for that :-)

-- 
Mathieu Arnold